package pl.edu.pwr.tkubik.books.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import pl.edu.pwr.tkubik.books.model.Author;
import pl.edu.pwr.tkubik.books.repository.AuthorRepository;

@Service
@Transactional
public class AuthorServiceImpl implements AuthorService {
	@Autowired
	private AuthorRepository authorRepository;
	
	@Override
	public Author addAuthor(Author author) {
		return authorRepository.save(author);
	}

	@Override
	public List<Author> findAllAuthors() {
		return authorRepository.findAll();
		 
	}

	@Override
	public void updateAuthor(Author author) {
		authorRepository.updateAuthor(author.getId(), author.getName());
		
	}

	@Override
	public List<Author> findByName(String name) {
		// TODO Auto-generated method stub
		return authorRepository.findByName(name);
	}

}
